Creates a new article

Request Information

URI Parameters :

None.

Body Parameters :

article
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

article_category_id

Foreign key to article category

globally unique identifier
article_category

Embedded entity "article_category" when adding/updating article

article_category
article_category_code

Embedded entity "article_category" using ERP PK when adding/updating article

string
article_group_1_id

Foreign key to article_group_1

globally unique identifier
article_group_1_code

Embedded entity "article_group_1" using ERP PK when adding/updating article

string
article_group_1

Embedded entity "article_group_1" using ERP PK when adding/updating article

article_group_1
article_group_2_id

Foreign key to article_group_2

globally unique identifier
article_group_2_code

Embedded entity "article_group_2" using ERP PK when adding/updating article

string
article_group_2

Embedded entity "article_group_2" using ERP PK when adding/updating article

article_group_2
article_group_3_id

Foreign key to article_group_3

globally unique identifier
article_group_3_code

Embedded entity "article_group_3" using ERP PK when adding/updating article

string
article_group_3

Embedded entity "article_group_3" using ERP PK when adding/updating article

article_group_3
article_group_4_id

Foreign key to article_group_4

globally unique identifier
article_group_4_code

Embedded entity "article_group_4" using ERP PK when adding/updating article

string
article_group_4

Embedded entity "article_group_4" using ERP PK when adding/updating article

article_group_4
article_group_5_id

Foreign key to article_group_5

globally unique identifier
article_group_5_code

Embedded entity "article_group_5" using ERP PK when adding/updating article

string
article_group_5

Embedded entity "article_group_5" using ERP PK when adding/updating article

article_group_5
article_group_6_id

Foreign key to article_group_6

globally unique identifier
article_group_6_code

Embedded entity "article_group_6" using ERP PK when adding/updating article

string
article_group_6

Embedded entity "article_group_6" using ERP PK when adding/updating article

article_group_6
physical_stock

Physical stock from the ERP (used for Eco Stock)

integer
back_order_client

Number of pieces reserved for clients (used for Eco Stock)

integer
back_order_supplier

Number of pieces that should arrive from the supplier (used for Eco stock if expected delivery is in the past)

integer
expected_delivery_date_bo_supplier

Date when the delivery from the supplier should arrive (used for Eco stock)

date
article_increment

For Sales : Increment used to order (by 2, by 4 etc)

integer
min_article_quantity

For Sales : Minimum amount to be ordered

integer
entered_price

Standard article price

decimal number
cost_price

decimal number
no_stock

For Sales : Disables the stock check

boolean
archived

Archives an article (cannot be deleted)

boolean
is_travel_fee

Indicate that this article will be used to compute the fee based on the car travel time

boolean
is_mileage_fee

Indicate that this article will be used to compute the fee based on the distance.

boolean
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the article

string

Required

Max length: 50

description_short

Description (if exists, otherwhise name will be used)

string

Max length: 100

description_long

Long description

string
barcode

Barcode of the article (fast search)

string

Max length: 50

notes

Notes (remark, details)

string

Max length: 255

date_create

Creation date, auto filled by Now if no value received

date
date_update

Update date, auto filled by Now if no value received

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
article_color_id

Foreign key to article_color

globally unique identifier
article_color_code

Embedded entity "article_color" using ERP PK when adding/updating article

string
article_color

Embedded entity "article_color" when adding/updating article

article_color
warranty_period_nb_months

warranty_period_nb_months

integer
use_serial

use_serial

boolean
_replace_id

Foreign key to article that replace the current article

globally unique identifier
replace_article

Embedded entity "article" of replace, when adding/updating article

article
replace_article_code

Embedded code "article" of replace, when adding/updating article

string
db_unit_of_measure_id_selling

Applicable db_unit_of_measure

globally unique identifier
db_unit_of_measure_code_selling

Applicable db_unit_of_measure

string
translations

List of translation of specific field name

Collection of translation

Request Formats :

application/json, text/json

Sample:
{
  "id": "859d3cc3-81ba-4af5-9d22-5bcbad9c131e",
  "article_category_id": "6dd8fc1e-4814-4c9a-9fc5-46422afb88f6",
  "article_category": {
    "id": "3cf1d9ee-b653-4d22-9812-1088ffa1f724",
    "parent_id": "b893b5ff-8bfc-4df3-9881-84c71cc2470a",
    "parent_code": "sample string 3",
    "code": "sample string 4",
    "name": "sample string 5",
    "modified_dateutc": "2026-05-01T16:03:07.6715333+00:00"
  },
  "article_category_code": "sample string 3",
  "article_group_1_id": "5c79107f-6daa-45d0-afbc-1775c0ef9d56",
  "article_group_1_code": "sample string 5",
  "article_group_2_id": "2acad334-9bee-44e0-9845-902eb44039b4",
  "article_group_2_code": "sample string 7",
  "article_group_3_id": "6f6bfeef-623e-4503-9706-b7d80b96b338",
  "article_group_3_code": "sample string 9",
  "article_group_4_id": "3b3c13ff-95b1-484d-8518-e8d11f20d5c9",
  "article_group_4_code": "sample string 11",
  "article_group_5_id": "5b1f2ea2-314f-4ac8-91c3-fd31b0d142ee",
  "article_group_5_code": "sample string 13",
  "article_group_6_id": "21c405cd-7e70-4ca1-84e9-ac48c496b211",
  "article_group_6_code": "sample string 15",
  "physical_stock": 16,
  "back_order_client": 17,
  "back_order_supplier": 18,
  "expected_delivery_date_bo_supplier": "2026-05-01T16:03:07.6715333+00:00",
  "article_increment": 20,
  "min_article_quantity": 21,
  "entered_price": 22.0,
  "cost_price": 23.1,
  "no_stock": true,
  "archived": true,
  "is_travel_fee": true,
  "is_mileage_fee": true,
  "code": "sample string 28",
  "name": "sample string 29",
  "description_short": "sample string 30",
  "description_long": "sample string 31",
  "barcode": "sample string 32",
  "notes": "sample string 33",
  "date_create": "2026-05-01T16:03:07.6715333+00:00",
  "date_update": "2026-05-01T16:03:07.6715333+00:00",
  "modified_dateutc": "2026-05-01T16:03:07.6715333+00:00",
  "article_color_id": "76b5f797-5d43-4689-aa6b-dee58670c96b",
  "article_color_code": "sample string 38",
  "article_color": {
    "id": "a8e70df2-ff58-4bc2-bc96-c51fb8815827",
    "name": "sample string 2",
    "code": "sample string 3",
    "modified_dateutc": "2026-05-01T16:03:07.6715333+00:00"
  },
  "warranty_period_nb_months": 39,
  "use_serial": true,
  "_replace_id": "4484a7ac-679f-4af0-b315-a6d2ad5bd242",
  "replace_article_code": "sample string 42",
  "db_unit_of_measure_id_selling": "ea9f569a-be1c-4167-9bea-57a3ede88f32",
  "db_unit_of_measure_code_selling": "sample string 44",
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ]
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.